<?php

declare(strict_types=1);

namespace PpPhp\Core\Diagnostics\Metadata;

final class ThemeMetadata extends AbstractMetadata
{
    public function inherits(): ?string
    {
        return isset($this->raw['inherits']) ? (string) $this->raw['inherits'] : null;
    }

    public function tokens(): array
    {
        return is_array($this->raw['tokens'] ?? null) ? $this->raw['tokens'] : [];
    }

}
